org.jetlang.web

## Class HandlerLocator.ResourcesDirectory<T>

- java.lang.Object
- - org.jetlang.web.HandlerLocator.ResourcesDirectory<T>

All Implemented Interfaces:
  HandlerLocator<T>

Enclosing interface:
  HandlerLocator<T>

    public static class HandlerLocator.ResourcesDirectory<T>
    extends Object
    implements HandlerLocator<T>

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jetlang.web.HandlerLocator

`HandlerLocator.List<T>, HandlerLocator.ResourcesDirectory<T>`

### Field Summary

Fields
`static Map<String,MimeType>` `defaultMimeTypes`

### Constructor Summary

Constructors
Constructor and Description
`ResourcesDirectory(java.nio.file.Path dir)`
`ResourcesDirectory(java.nio.file.Path dir, HttpSecurity<T> security, Map<String,MimeType> fileExtensionToContentType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Handler<T>` `find(HttpRequest headers, T sessionState)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### defaultMimeTypes

    public static final Map<String,MimeType> defaultMimeTypes

### Constructor Detail

#### ResourcesDirectory

    public ResourcesDirectory(java.nio.file.Path dir,
                              HttpSecurity<T> security,
                              Map<String,MimeType> fileExtensionToContentType)

#### ResourcesDirectory

    public ResourcesDirectory(java.nio.file.Path dir)

### Method Detail

#### find

    public Handler<T> find(HttpRequest headers,
                           T sessionState)

Specified by:
  `find` in interface `HandlerLocator<T>`